/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import java.util.Date;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 *
 * @author developer2
 */
@Embeddable
public class TcustpeoplefixedincomePK implements Serializable {

    @Basic(optional = false)
    @Column(name = "PERSONCODE")
    private long personcode;
    @Basic(optional = false)
    @Column(name = "DATETO")
    @Temporal(TemporalType.TIMESTAMP)
    private Date dateto;
    @Basic(optional = false)
    @Column(name = "FIXEDINCOMESEQUENCE")
    private short fixedincomesequence;

    public TcustpeoplefixedincomePK() {
    }

    public TcustpeoplefixedincomePK(long personcode, Date dateto, short fixedincomesequence) {
        this.personcode = personcode;
        this.dateto = dateto;
        this.fixedincomesequence = fixedincomesequence;
    }

    public long getPersoncode() {
        return personcode;
    }

    public void setPersoncode(long personcode) {
        this.personcode = personcode;
    }

    public Date getDateto() {
        return dateto;
    }

    public void setDateto(Date dateto) {
        this.dateto = dateto;
    }

    public short getFixedincomesequence() {
        return fixedincomesequence;
    }

    public void setFixedincomesequence(short fixedincomesequence) {
        this.fixedincomesequence = fixedincomesequence;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (int) personcode;
        hash += (dateto != null ? dateto.hashCode() : 0);
        hash += (int) fixedincomesequence;
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof TcustpeoplefixedincomePK)) {
            return false;
        }
        TcustpeoplefixedincomePK other = (TcustpeoplefixedincomePK) object;
        if (this.personcode != other.personcode) {
            return false;
        }
        if ((this.dateto == null && other.dateto != null) || (this.dateto != null && !this.dateto.equals(other.dateto))) {
            return false;
        }
        if (this.fixedincomesequence != other.fixedincomesequence) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.TcustpeoplefixedincomePK[ personcode=" + personcode + ", dateto=" + dateto + ", fixedincomesequence=" + fixedincomesequence + " ]";
    }
    
}
